=== debian/changelog ===
muparserx (4.0.7+dfsg-3) unstable; urgency=medium

  * Bump Standards-Version to 4.0.1, no changes necessary
  * Adapt to changed conversion operator name mangling in gcc 7
    (Closes: 871305):
    - Add Build-Depends on g++ (>= 4:7)
    - Make dh_makeshlibs depend on 'libmuparserx4.0.7 (>= 4.0.7+dfsg-3~)'

 -- Andreas Bombe <aeb@debian.org>  Wed, 09 Aug 2017 22:10:58 -0400

muparserx (4.0.7+dfsg-2) unstable; urgency=medium

  * Make libmuparserx-dev Multi-Arch: same

 -- Andreas Bombe <aeb@debian.org>  Wed, 25 Jan 2017 01:09:19 +0100

muparserx (4.0.7+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #846651)

 -- Andreas Bombe <aeb@debian.org>  Sun, 04 Dec 2016 02:31:26 +0100
