=== debian/control ===
Source: muparserx
Section: libs
Priority: optional
Maintainer: Andreas Bombe <aeb@debian.org>
Standards-Version: 4.0.1
Build-Depends: g++ (>= 4:7), debhelper (>= 10), cmake
Homepage: http://articles.beltoforion.de/article.php?a=muparserx&hl=en
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/muparserx.git/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/muparserx.git

Package: libmuparserx4.0.7
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mathematical expression parser library
 The evaluation of a mathematical expression is a standard task required in
 many applications. It can be solved by either using a standard math expression
 parser such as muparser or by embedding a scripting language such as Lua. There
 are however some limitations: Although muparser is pretty fast it will only
 work with scalar values and although Lua is very flexible it does neither
 support binary operators for arrays nor complex numbers. So if you need a math
 expression parser with support for arrays, matrices and strings muparserx may
 be able to help you. It was originally based on the original muparser engine
 but has since evolved into a standalone project with a completely new parsing
 engine.
 .
 This package contains the shared library.

Package: libmuparserx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmuparserx4.0.7 (= ${binary:Version}), ${misc:Depends}
Description: mathematical expression parser library (development files)
 The evaluation of a mathematical expression is a standard task required in
 many applications. It can be solved by either using a standard math expression
 parser such as muparser or by embedding a scripting language such as Lua. There
 are however some limitations: Although muparser is pretty fast it will only
 work with scalar values and although Lua is very flexible it does neither
 support binary operators for arrays nor complex numbers. So if you need a math
 expression parser with support for arrays, matrices and strings muparserx may
 be able to help you. It was originally based on the original muparser engine
 but has since evolved into a standalone project with a completely new parsing
 engine.
 .
 This package contains the development files for libmuparserx.
