=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$// \
https://github.com/beltoforion/muparserx/releases .*/muparserx/archive/v([\d\.]+)\.tar\.(?:xz|gz|bz2)
