=== debian/changelog ===
muparserx (4.0.8+dfsg-2) unstable; urgency=medium

  * Upload to sid
  * Update Homepage field in d/control
  * Increase debhelper compat level to 13 and switch to debhelper-compat
    Build-Dependency compat level specification
  * Bump Standards-Version to 4.5.1, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Mon, 11 Jan 2021 01:45:43 +0100

muparserx (4.0.8+dfsg-1) experimental; urgency=medium

  * New upstream version 4.0.8+dfsg
  * d/control: Set Vcs-* to salsa.debian.org
  * Increase debhelper compat level to 12
  * Change library soname ABI version to 4.0.8
  * d/control: Update Homepage field
  * Bump Standards-Version to 4.4.1, no changes necessary
  * Add repacksuffix option to d/watch and use auto pattern for dversionmangle

 -- Andreas Bombe <aeb@debian.org>  Sat, 26 Oct 2019 17:42:09 +0200
