=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: libs
 Priority: optional
 Maintainer: Andreas Bombe <aeb@debian.org>
-Standards-Version: 4.0.1
-Build-Depends: g++ (>= 4:7), debhelper (>= 10), cmake
-Homepage: http://articles.beltoforion.de/article.php?a=muparserx&hl=en
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/muparserx.git/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/muparserx.git
+Standards-Version: 4.5.1
+Build-Depends: g++ (>= 4:7), debhelper-compat (= 13), cmake
+Homepage: https://beltoforion.de/en/muparserx/
+Vcs-Browser: https://salsa.debian.org/debian/muparserx
+Vcs-Git: https://salsa.debian.org/debian/muparserx.git
 
-Package: libmuparserx4.0.7
+Package: libmuparserx4.0.8
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -30,7 +30,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmuparserx4.0.7 (= ${binary:Version}), ${misc:Depends}
+Depends: libmuparserx4.0.8 (= ${binary:Version}), ${misc:Depends}
 Description: mathematical expression parser library (development files)
  The evaluation of a mathematical expression is a standard task required in
  many applications. It can be solved by either using a standard math expression
