=== debian/changelog ===
muparserx (4.0.11-2) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Fri, 06 Jan 2023 01:44:39 +0100

muparserx (4.0.11-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Andreas Bombe ]
  * New upstream version 4.0.11
  * Change library soname ABI version to 4.0.11
  * Add Rules-Requires-Root: no to debian/control
  * debian/watch: Change to github tags instead of releases
  * Do not dfsg repack anymore and remove Files-Excluded from debian/copyright
  * Update copyright years in debian/copyright
  * Bump Standards-Version to 4.6.2, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Sat, 31 Dec 2022 19:19:23 +0100
