=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Andreas Bombe <aeb@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: g++ (>= 4:7), debhelper-compat (= 13), cmake
+Rules-Requires-Root: no
 Homepage: https://beltoforion.de/en/muparserx/
 Vcs-Browser: https://salsa.debian.org/debian/muparserx
 Vcs-Git: https://salsa.debian.org/debian/muparserx.git
 
-Package: libmuparserx4.0.8
+Package: libmuparserx4.0.11
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -30,7 +31,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmuparserx4.0.8 (= ${binary:Version}), ${misc:Depends}
+Depends: libmuparserx4.0.11 (= ${binary:Version}), ${misc:Depends}
 Description: mathematical expression parser library (development files)
  The evaluation of a mathematical expression is a standard task required in
  many applications. It can be solved by either using a standard math expression
