=== debian/watch ===
version=4
opts="dversionmangle=auto,repacksuffix=+dfsg" \
https://github.com/beltoforion/muparserx/tags .*/muparserx/archive/refs/tags/v([\d\.]+)\.tar\.(?:xz|gz|bz2)
