=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.22

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/user/Dokumente/GitHub/muparserx

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/user/Dokumente/GitHub/muparserx

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/user/Dokumente/GitHub/muparserx/CMakeFiles /home/user/Dokumente/GitHub/muparserx//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/user/Dokumente/GitHub/muparserx/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named muparserx

# Build rule for target.
muparserx: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 muparserx
.PHONY : muparserx

# fast build rule for target.
muparserx/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/build
.PHONY : muparserx/fast

#=============================================================================
# Target rules for targets named example

# Build rule for target.
example: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 example
.PHONY : example

# fast build rule for target.
example/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/example.dir/build.make CMakeFiles/example.dir/build
.PHONY : example/fast

parser/mpError.o: parser/mpError.cpp.o
.PHONY : parser/mpError.o

# target to build an object file
parser/mpError.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpError.cpp.o
.PHONY : parser/mpError.cpp.o

parser/mpError.i: parser/mpError.cpp.i
.PHONY : parser/mpError.i

# target to preprocess a source file
parser/mpError.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpError.cpp.i
.PHONY : parser/mpError.cpp.i

parser/mpError.s: parser/mpError.cpp.s
.PHONY : parser/mpError.s

# target to generate assembly for a file
parser/mpError.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpError.cpp.s
.PHONY : parser/mpError.cpp.s

parser/mpFuncCmplx.o: parser/mpFuncCmplx.cpp.o
.PHONY : parser/mpFuncCmplx.o

# target to build an object file
parser/mpFuncCmplx.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncCmplx.cpp.o
.PHONY : parser/mpFuncCmplx.cpp.o

parser/mpFuncCmplx.i: parser/mpFuncCmplx.cpp.i
.PHONY : parser/mpFuncCmplx.i

# target to preprocess a source file
parser/mpFuncCmplx.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncCmplx.cpp.i
.PHONY : parser/mpFuncCmplx.cpp.i

parser/mpFuncCmplx.s: parser/mpFuncCmplx.cpp.s
.PHONY : parser/mpFuncCmplx.s

# target to generate assembly for a file
parser/mpFuncCmplx.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncCmplx.cpp.s
.PHONY : parser/mpFuncCmplx.cpp.s

parser/mpFuncCommon.o: parser/mpFuncCommon.cpp.o
.PHONY : parser/mpFuncCommon.o

# target to build an object file
parser/mpFuncCommon.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncCommon.cpp.o
.PHONY : parser/mpFuncCommon.cpp.o

parser/mpFuncCommon.i: parser/mpFuncCommon.cpp.i
.PHONY : parser/mpFuncCommon.i

# target to preprocess a source file
parser/mpFuncCommon.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncCommon.cpp.i
.PHONY : parser/mpFuncCommon.cpp.i

parser/mpFuncCommon.s: parser/mpFuncCommon.cpp.s
.PHONY : parser/mpFuncCommon.s

# target to generate assembly for a file
parser/mpFuncCommon.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncCommon.cpp.s
.PHONY : parser/mpFuncCommon.cpp.s

parser/mpFuncMatrix.o: parser/mpFuncMatrix.cpp.o
.PHONY : parser/mpFuncMatrix.o

# target to build an object file
parser/mpFuncMatrix.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncMatrix.cpp.o
.PHONY : parser/mpFuncMatrix.cpp.o

parser/mpFuncMatrix.i: parser/mpFuncMatrix.cpp.i
.PHONY : parser/mpFuncMatrix.i

# target to preprocess a source file
parser/mpFuncMatrix.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncMatrix.cpp.i
.PHONY : parser/mpFuncMatrix.cpp.i

parser/mpFuncMatrix.s: parser/mpFuncMatrix.cpp.s
.PHONY : parser/mpFuncMatrix.s

# target to generate assembly for a file
parser/mpFuncMatrix.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncMatrix.cpp.s
.PHONY : parser/mpFuncMatrix.cpp.s

parser/mpFuncNonCmplx.o: parser/mpFuncNonCmplx.cpp.o
.PHONY : parser/mpFuncNonCmplx.o

# target to build an object file
parser/mpFuncNonCmplx.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncNonCmplx.cpp.o
.PHONY : parser/mpFuncNonCmplx.cpp.o

parser/mpFuncNonCmplx.i: parser/mpFuncNonCmplx.cpp.i
.PHONY : parser/mpFuncNonCmplx.i

# target to preprocess a source file
parser/mpFuncNonCmplx.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncNonCmplx.cpp.i
.PHONY : parser/mpFuncNonCmplx.cpp.i

parser/mpFuncNonCmplx.s: parser/mpFuncNonCmplx.cpp.s
.PHONY : parser/mpFuncNonCmplx.s

# target to generate assembly for a file
parser/mpFuncNonCmplx.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncNonCmplx.cpp.s
.PHONY : parser/mpFuncNonCmplx.cpp.s

parser/mpFuncStr.o: parser/mpFuncStr.cpp.o
.PHONY : parser/mpFuncStr.o

# target to build an object file
parser/mpFuncStr.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncStr.cpp.o
.PHONY : parser/mpFuncStr.cpp.o

parser/mpFuncStr.i: parser/mpFuncStr.cpp.i
.PHONY : parser/mpFuncStr.i

# target to preprocess a source file
parser/mpFuncStr.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncStr.cpp.i
.PHONY : parser/mpFuncStr.cpp.i

parser/mpFuncStr.s: parser/mpFuncStr.cpp.s
.PHONY : parser/mpFuncStr.s

# target to generate assembly for a file
parser/mpFuncStr.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncStr.cpp.s
.PHONY : parser/mpFuncStr.cpp.s

parser/mpICallback.o: parser/mpICallback.cpp.o
.PHONY : parser/mpICallback.o

# target to build an object file
parser/mpICallback.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpICallback.cpp.o
.PHONY : parser/mpICallback.cpp.o

parser/mpICallback.i: parser/mpICallback.cpp.i
.PHONY : parser/mpICallback.i

# target to preprocess a source file
parser/mpICallback.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpICallback.cpp.i
.PHONY : parser/mpICallback.cpp.i

parser/mpICallback.s: parser/mpICallback.cpp.s
.PHONY : parser/mpICallback.s

# target to generate assembly for a file
parser/mpICallback.cpp.s:
