=== debian/changelog ===
muparserx (4.0.12-2) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Mon, 19 Aug 2024 10:25:36 +0200

muparserx (4.0.12-1) experimental; urgency=medium

  * New upstream version 4.0.12 (Closes: 1075298)
  * Change library soname ABI version to 4.0.12
  * Drop versioned Build-Depends for g++, would be fulfilled even in o-o-stable
  * Update years in debian/copyright
  * Bump Standards-Version to 4.7.0, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Sun, 18 Aug 2024 02:48:30 +0200
